Skip to main content
GET
/
v1
/
organizations
/
{organizationId}
/
services
/
{serviceId}
/
clickpipes
/
{clickPipeId}
/
settings
Get ClickPipe settings
curl --request GET \
  --url https://api.clickhouse.cloud/v1/organizations/{organizationId}/services/{serviceId}/clickpipes/{clickPipeId}/settings \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": 200,
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "result": {
    "streaming_max_insert_wait_ms": 5000,
    "object_storage_concurrency": 1,
    "object_storage_polling_interval_ms": 30000,
    "object_storage_max_insert_bytes": 10737418240,
    "object_storage_max_file_count": 100,
    "clickhouse_max_threads": 8,
    "clickhouse_max_insert_threads": 1,
    "clickhouse_min_insert_block_size_bytes": 1073741824,
    "clickhouse_max_download_threads": 4,
    "clickhouse_parallel_distributed_insert_select": 2,
    "object_storage_use_cluster_function": true,
    "clickhouse_parallel_view_processing": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service that owns the ClickPipe.

clickPipeId
string<uuid>
required

ID of the ClickPipe to get settings for.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object